package	jp.co.sds_corp.util.jmx.rmi.server;

import java.io.Serializable;

public class ObjectHandler implements Serializable
{
	private int		sNextUniqueNumber = 0;
	private String	mServerReference;
	private int		mObjectReference;

	public ObjectHandler( String pServerReference ) {
		if( pServerReference == null ) {
			throw new IllegalArgumentException( "Server Reference must not be null" );
		}
		mServerReference = pServerReference;
		mObjectReference = sNextUniqueNumber++;
	}

	public String getServerReference() {
		return mServerReference;
	}
	public int getObjectReference() {
		return mObjectReference;
	}

	public boolean equals( Object pTest ) {
		if( pTest instanceof ObjectHandler ) {
			ObjectHandler lTest = (ObjectHandler) pTest;
			return
				getServerReference().equals( lTest.getServerReference() ) &&
				getObjectReference() == lTest.getObjectReference();
		}
		return false;
	}
	public int hashCode() {
		return getServerReference().hashCode() + getObjectReference();
	}
}
